"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SERVER_PATH = exports.SAME_CLIENT_IP = exports.DEFAULT_FETCH = exports.CMS_URL = exports.BASE_URL = exports.ALLOWED_LANGUAGE = void 0;
var _initializer = require("./initializer");
const {
  ALLOWED_LANGUAGE = ["ar"],
  DEFAULT_FETCH = process.env.EXPO_PUBLIC_DEFAULT_FETCH,
  SAME_CLIENT_IP = process.env.EXPO_PUBLIC_SAME_CLIENT_IP,
  SERVER_PATH = process.env.EXPO_PUBLIC_SERVER_PATH,
  BASE_URL = process.env.EXPO_PUBLIC_BASE_URL,
  CMS_URL = process.env.EXPO_PUBLIC_CMS_URL
} = (0, _initializer.getEnvVars)();
exports.CMS_URL = CMS_URL;
exports.BASE_URL = BASE_URL;
exports.SERVER_PATH = SERVER_PATH;
exports.SAME_CLIENT_IP = SAME_CLIENT_IP;
exports.DEFAULT_FETCH = DEFAULT_FETCH;
exports.ALLOWED_LANGUAGE = ALLOWED_LANGUAGE;