"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCustomReducers = getCustomReducers;
exports.getDownloadMethod = getDownloadMethod;
exports.getEnvVars = getEnvVars;
exports.getLocalStorageObject = getLocalStorageObject;
exports.getNotificationMethod = getNotificationMethod;
exports.getWarningMethod = getWarningMethod;
exports.initialize = initialize;
let options = {};
function initialize(localStorageObject, downloadMethod, notificationMethod, warningMethod, customReducers, env_vars) {
  options = {};
  console.log("notification here is ");
  console.log(notificationMethod);
  if (!localStorageObject) throw "options is undefined3";
  options["localStorage"] = localStorageObject;
  options["downloadMethod"] = downloadMethod;
  options["notificationMethod"] = notificationMethod;
  options["warningMethod"] = warningMethod;
  options["customReducers"] = customReducers;
  options["env_vars"] = env_vars;
  options = options;
  return options;
}
function getLocalStorageObject() {
  if (!options || !options["localStorage"]) {
    console.log("no localstorage");
    throw "options is undefined4";
  }
  return options["localStorage"];
}
function getDownloadMethod() {
  if (!options || !options["downloadMethod"]) {
    console.log("no downloadmethod");
    throw "options is undefined5";
  }
  return options["downloadMethod"];
}
function getNotificationMethod() {
  console.log("is there an options? ", options);
  if (!options || !options["notificationMethod"]) {
    console.log("no notification");
    throw "options is undefined6";
  }
  return options["notificationMethod"];
}
function getWarningMethod() {
  if (!options || !options["warningMethod"]) throw "options is undefined7";
  return options["warningMethod"];
}
function getCustomReducers() {
  if (!options || !options["customReducers"]) console.log("no customReducers!");
  return options["customReducers"];
}
function getEnvVars() {
  return {
    ALLOWED_LANGUAGE: ["ar"],
    DEFAULT_FETCH: process.env.EXPO_PUBLIC_DEFAULT_FETCH,
    SAME_CLIENT_IP: process.env.EXPO_PUBLIC_SAME_CLIENT_IP,
    SERVER_PATH: process.env.EXPO_PUBLIC_SERVER_PATH,
    BASE_URL: process.env.EXPO_PUBLIC_BASE_URL,
    CMS_URL: process.env.EXPO_PUBLIC_CMS_URL
  };
}